package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 涉密人员培训对象 td_train
 * 
 * @author ruoyi
 * @date 2024-04-11
 */
public class TdTrain extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long ID;

    /** 人员名称 */
    @Excel(name = "人员名称")
    private String USERNAME;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String deptName;

    /** 培训类型 */
    @Excel(name = "培训类型",readConverterExp = "0=资料学习,1=视频学习,2=音频学习")
    private String trainType;

    /** 培训对象 */
    @Excel(name = "培训对象",readConverterExp = "0=涉密文件,1=涉密设备,2=涉密资产3=涉密人员")
    private String trainSubject;

    /** 培训地点 */
    @Excel(name = "培训地点")
    private String trainAddress;

    /** 培训日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "培训日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date trainDate;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createStaffid;

    /** 创建单位 */
    private String createDepartid;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 更新单位 */
    private String updateDepartid;

    /** 更新人员 */
    @Excel(name = "更新人员")
    private String updateStaffid;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    /** 所属地市 */
    @Excel(name = "所属地市")
    private String AREAID;

    /** 所属区县 */
    @Excel(name = "所属区县")
    private String FRAMEWORK;

    /** 培训人员 */
    @Excel(name = "培训人员")
    private String trainName;

    /** 培训状态 */
    @Excel(name = "培训状态",readConverterExp = "0=通过,1=未通过,2=待审核")
    private Long trainState;

    /** 培训结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "培训结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date trainTimeend;

    /** 部门 */
    @Excel(name = "部门")
    private String PART;

    /** 培训评价 */
    @Excel(name = "培训评价")
    private String TRAININFO;

    public void setID(Long ID) 
    {
        this.ID = ID;
    }

    public Long getID() 
    {
        return ID;
    }
    public void setUSERNAME(String USERNAME) 
    {
        this.USERNAME = USERNAME;
    }

    public String getUSERNAME() 
    {
        return USERNAME;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setTrainType(String trainType) 
    {
        this.trainType = trainType;
    }

    public String getTrainType() 
    {
        return trainType;
    }
    public void setTrainSubject(String trainSubject) 
    {
        this.trainSubject = trainSubject;
    }

    public String getTrainSubject() 
    {
        return trainSubject;
    }
    public void setTrainAddress(String trainAddress) 
    {
        this.trainAddress = trainAddress;
    }

    public String getTrainAddress() 
    {
        return trainAddress;
    }
    public void setTrainDate(Date trainDate) 
    {
        this.trainDate = trainDate;
    }

    public Date getTrainDate() 
    {
        return trainDate;
    }
    public void setCreateStaffid(String createStaffid) 
    {
        this.createStaffid = createStaffid;
    }

    public String getCreateStaffid() 
    {
        return createStaffid;
    }
    public void setCreateDepartid(String createDepartid) 
    {
        this.createDepartid = createDepartid;
    }

    public String getCreateDepartid() 
    {
        return createDepartid;
    }
    public void setCreateDate(Date createDate) 
    {
        this.createDate = createDate;
    }

    public Date getCreateDate() 
    {
        return createDate;
    }
    public void setUpdateDepartid(String updateDepartid) 
    {
        this.updateDepartid = updateDepartid;
    }

    public String getUpdateDepartid() 
    {
        return updateDepartid;
    }
    public void setUpdateStaffid(String updateStaffid) 
    {
        this.updateStaffid = updateStaffid;
    }

    public String getUpdateStaffid() 
    {
        return updateStaffid;
    }
    public void setUpdateDate(Date updateDate) 
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() 
    {
        return updateDate;
    }
    public void setAREAID(String AREAID) 
    {
        this.AREAID = AREAID;
    }

    public String getAREAID() 
    {
        return AREAID;
    }
    public void setFRAMEWORK(String FRAMEWORK) 
    {
        this.FRAMEWORK = FRAMEWORK;
    }

    public String getFRAMEWORK() 
    {
        return FRAMEWORK;
    }
    public void setTrainName(String trainName) 
    {
        this.trainName = trainName;
    }

    public String getTrainName() 
    {
        return trainName;
    }
    public void setTrainState(Long trainState) 
    {
        this.trainState = trainState;
    }

    public Long getTrainState() 
    {
        return trainState;
    }
    public void setTrainTimeend(Date trainTimeend) 
    {
        this.trainTimeend = trainTimeend;
    }

    public Date getTrainTimeend() 
    {
        return trainTimeend;
    }
    public void setPART(String PART) 
    {
        this.PART = PART;
    }

    public String getPART() 
    {
        return PART;
    }
    public void setTRAININFO(String TRAININFO) 
    {
        this.TRAININFO = TRAININFO;
    }

    public String getTRAININFO() 
    {
        return TRAININFO;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("USERNAME", getUSERNAME())
            .append("deptName", getDeptName())
            .append("trainType", getTrainType())
            .append("trainSubject", getTrainSubject())
            .append("trainAddress", getTrainAddress())
            .append("trainDate", getTrainDate())
            .append("createStaffid", getCreateStaffid())
            .append("createDepartid", getCreateDepartid())
            .append("createDate", getCreateDate())
            .append("updateDepartid", getUpdateDepartid())
            .append("updateStaffid", getUpdateStaffid())
            .append("updateDate", getUpdateDate())
            .append("AREAID", getAREAID())
            .append("FRAMEWORK", getFRAMEWORK())
            .append("trainName", getTrainName())
            .append("trainState", getTrainState())
            .append("trainTimeend", getTrainTimeend())
            .append("PART", getPART())
            .append("TRAININFO", getTRAININFO())
            .toString();
    }
}
